changeset 6080:a672df805855

Document and fix tla/baz conversion tests
author Patrick Mezard <pmezard@gmail.com>
date Tue, 12 Feb 2008 23:35:44 +0100 (2008-02-12)
parents 81a8667331e8
children e1f11b8a1e9e
files tests/test-convert-baz tests/test-convert-tla
diffstat 2 files changed, 20 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
old mode 100644
new mode 100755
--- a/tests/test-convert-baz
+++ b/tests/test-convert-baz
@@ -2,6 +2,16 @@
 
 "$TESTDIR/hghave" baz || exit 80
 
+# I cannot find a way to set the user name locally
+tla my-id > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    echo '***'
+    echo '* PLEASE SET YOUR TLA USERNAME WITH:'
+    echo '* tla my-id username'
+    echo '***'
+    exit 1;
+fi
+
 echo "[extensions]" >> $HGRCPATH
 echo "convert=" >> $HGRCPATH
 echo 'hgext.graphlog =' >> $HGRCPATH
old mode 100644
new mode 100755
--- a/tests/test-convert-tla
+++ b/tests/test-convert-tla
@@ -2,6 +2,16 @@
 
 "$TESTDIR/hghave" tla || exit 80
 
+# I cannot find a way to set the user name locally
+tla my-id > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    echo '***'
+    echo '* PLEASE SET YOUR TLA USERNAME WITH:'
+    echo '* tla my-id username'
+    echo '***'
+    exit 1;
+fi
+
 echo "[extensions]" >> $HGRCPATH
 echo "convert=" >> $HGRCPATH
 echo 'hgext.graphlog =' >> $HGRCPATH